Bug 812586 - Review Request: perl-POE-Component-Client-Ping - Non-blocking ICMP ping client
Review Request: perl-POE-Component-Client-Ping - Non-blocking ICMP ping client
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 812587
  Show dependency treegraph
 
Reported: 2012-04-15 03:35 EDT by Remi Collet
Modified: 2012-05-27 15:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:27:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2012-04-15 03:35:44 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/master/perl-POE-Component-Client-Ping/perl-POE-Component-Client-Ping.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/perl-POE-Component-Client-Ping-1.171-1.remi.src.rpm
Description: 
POE::Component::Client::Ping is non-blocking ICMP ping client. It lets
several other sessions ping through it in parallel, and it lets them
continue doing other things while they wait for responses.

--
I plan to maintain this package, required by FusionInventory, in Fedora and EPEL >= 5
Comment 1 Petr Pisar 2012-05-07 07:39:25 EDT
Source file is original. Ok.
Source0 and URL are usable Ok.
Summary verified from lib/POE/Component/Client/Ping.pm. Ok.
License verified from lib/POE/Component/Client/Ping.pm. Ok.
BuildRoot definition and cleaning present due to EPEL-5 compatibility. Ok.
Description verified from lib/POE/Component/Client/Ping.pm. Ok.
No XS code used, noarch BuildArch is Ok.

TODO: Remove already implicit %defattr form %files section.

TODO: Build-require `perl(Time::HiRes) >= 1.2' (lib/POE/Component/Client/Ping.pm:33, META.yml).
TODO: Build-require `perl(Exporter)' (lib/POE/Component/Client/Ping.pm:9).

FIX: Build-require `perl(Carp)' (lib/POE/Component/Client/Ping.pm:30).
FIX: Build-require `perl(Socket)' (lib/POE/Component/Client/Ping.pm:32).
FIX: Build-require `perl(POE::Session)' (lib/POE/Component/Client/Ping.pm:35).

All tests pass. Ok.

$ rpmlint  perl-POE-Component-Client-Ping.spec  ../SRPMS/perl-POE-Component-Client-Ping-1.171-1.fc18.src.rpm ../RPMS/noarch/perl-POE-Component-Client-Ping-1.171-1.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-POE-Component-Client-Ping-1.171-1.fc18.noarch.rpm 
drwxr-xr-x    2 root    root                        0 May  7 13:30 /usr/share/doc/perl-POE-Component-Client-Ping-1.171
-rw-r--r--    1 root    root                     1759 Mar  7 04:43 /usr/share/doc/perl-POE-Component-Client-Ping-1.171/CHANGES
-rw-r--r--    1 root    root                     1902 Sep 13  2009 /usr/share/doc/perl-POE-Component-Client-Ping-1.171/README
-rw-r--r--    1 root    root                     6645 May  7 13:30 /usr/share/man/man3/POE::Component::Client::Ping.3pm.gz
drwxr-xr-x    2 root    root                        0 May  7 13:30 /usr/share/perl5/vendor_perl/POE
drwxr-xr-x    2 root    root                        0 May  7 13:30 /usr/share/perl5/vendor_perl/POE/Component
drwxr-xr-x    2 root    root                        0 May  7 13:30 /usr/share/perl5/vendor_perl/POE/Component/Client
-rw-r--r--    1 root    root                    31341 Mar  7 04:41 /usr/share/perl5/vendor_perl/POE/Component/Client/Ping.pm
File permissions and layout are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-POE-Component-Client-Ping-1.171-1.fc18.noarch.rpm  |sort |uniq -c
      1 perl(Carp)
      1 perl(Exporter)
      1 perl(:MODULE_COMPAT_5.14.2)
      1 perl(POE) >= 1.007
      1 perl(POE::Session)
      1 perl(Socket)
      1 perl(strict)
      1 perl(Symbol)
      1 perl(Time::HiRes)
      1 perl(vars)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides  -p ../RPMS/noarch/perl-POE-Component-Client-Ping-1.171-1.fc18.noarch.rpm  |sort |uniq -c
      1 perl(POE::Component::Client::Ping) = 1.171
      1 perl-POE-Component-Client-Ping = 1.171-1.fc18
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-POE-Component-Client-Ping-1.171-1.fc18.noarch.rpm  
Binary dependencies resolvable. Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4059704). Ok.

Otherwise package is in line with Fedora and Perl packaging guidelines.


Please correct all `FIX' prefixed issues, correct `TODO' items, and provide new spec file.

Resolution: Package NOT approved.
Comment 2 Remi Collet 2012-05-07 09:48:48 EDT
Changes in spec (URL in Description is the latest)
https://github.com/remicollet/remirepo/commit/a95deb1a04f936d0c0d3cac1ca890f0abf8ba748

New SRPM: http://rpms.famillecollet.com/SRPMS/perl-POE-Component-Client-Ping-1.171-2.remi.src.rpm

Haven't really understood difference between FIX and TODO in your comment, but all are fixed.

I have drop EL-5 target, because it doesn't build (probably perl is too old)
Comment 3 Petr Pisar 2012-05-09 08:46:40 EDT
Changes in spec file:

--- perl-POE-Component-Client-Ping.spec.old     2012-05-07 13:07:34.018006702 +0200
+++ perl-POE-Component-Client-Ping.spec 2012-05-09 14:33:07.019017873 +0200
@@ -1,6 +1,6 @@
 Name:           perl-POE-Component-Client-Ping
 Version:        1.171
-Release:        1%{?dist}
+Release:        2%{?dist}
 Summary:        Non-blocking ICMP ping client
 License:        GPL+ or Artistic
 Group:          Development/Libraries
@@ -11,6 +11,11 @@
 BuildArch:      noarch
 BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(POE) >= 1.007
+BuildRequires:  perl(Time::HiRes) >= 1.2
+BuildRequires:  perl(Exporter)
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(Socket)
+BuildRequires:  perl(POE::Session)
 BuildRequires:  perl(Test::More)

 Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
@@ -60,5 +65,8 @@


 %changelog
+* Mon May 07 2012 Remi Collet <remi@fedoraproject.org> - 1.171-2
+- comment from review (#812586)
+
 * Sun Apr 15 2012 Remi Collet <remi@fedoraproject.org> - 1.171-1
 - Specfile autogenerated by cpanspec 1.78.


> TODO: Remove already implicit %defattr form %files section.
Not reflected. Ok.

> TODO: Build-require `perl(Time::HiRes) >= 1.2'
> (lib/POE/Component/Client/Ping.pm:33, META.yml).
> TODO: Build-require `perl(Exporter)' (lib/POE/Component/Client/Ping.pm:9).
> FIX: Build-require `perl(Carp)' (lib/POE/Component/Client/Ping.pm:30).
> FIX: Build-require `perl(Socket)' (lib/POE/Component/Client/Ping.pm:32).
> FIX: Build-require `perl(POE::Session)' (lib/POE/Component/Client/Ping.pm:35).
+BuildRequires:  perl(Time::HiRes) >= 1.2
+BuildRequires:  perl(Exporter)
+BuildRequires:  perl(Carp)
+BuildRequires:  perl(Socket)
+BuildRequires:  perl(POE::Session)
Ok.

$ rpmlint   perl-POE-Component-Client-Ping.spec ../SRPMS/perl-POE-Component-Client-Ping-1.171-2.fc18.src.rpm ../RPMS/noarch/perl-POE-Component-Client-Ping-1.171-2.fc18.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

Package builds in F18 (http://koji.fedoraproject.org/koji/taskinfo?taskID=4064805). Ok.

> Haven't really understood difference between FIX and TODO in your comment,
> but all are fixed.
The FIX things must be fixed to pass review. In context of Perl modules, the difference is whether the module is part of binary `perl' package, or not. TODO modules dual-lives on CPAN now and they can emerge in Fedora in the future. Then such module becomes sub-packaged from main perl package to dual-live with newer CPAN version and other packages will have to require it once that will happens. So it's sort of future-compatibility issue.

Resolution: Package APPROVED.
Comment 4 Remi Collet 2012-05-10 01:28:43 EDT
New Package SCM Request
=======================
Package Name: perl-POE-Component-Client-Ping
Short Description: Non-blocking ICMP ping client
Owners: remi
Branches: f16 f17 el6
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-05-10 08:24:57 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-10 11:56:48 EDT
perl-POE-Component-Client-Ping-1.171-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-POE-Component-Client-Ping-1.171-2.fc17
Comment 7 Fedora Update System 2012-05-10 11:58:09 EDT
perl-POE-Component-Client-Ping-1.171-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-POE-Component-Client-Ping-1.171-2.fc16
Comment 8 Fedora Update System 2012-05-10 11:58:42 EDT
perl-POE-Component-Client-Ping-1.171-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-POE-Component-Client-Ping-1.171-2.el6
Comment 9 Fedora Update System 2012-05-10 16:41:14 EDT
perl-POE-Component-Client-Ping-1.171-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-05-26 03:27:29 EDT
perl-POE-Component-Client-Ping-1.171-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2012-05-26 21:56:31 EDT
perl-POE-Component-Client-Ping-1.171-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-05-27 15:42:52 EDT
perl-POE-Component-Client-Ping-1.171-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.